package ru.yandex.autotests.directapi.darkside.model.bslogs.clientdata;

import java.util.List;

import com.google.gson.annotations.SerializedName;

/**
 * Created by pashkus on 04/03/19.
 */
public class ExpressionCoefs {

    @SerializedName("Weather")
    private List<WeatherCoef> weather;

    @SerializedName("Socdem")
    private List<ExpressionCoefItem> socdem;

    @SerializedName("Goal")
    private List<ExpressionCoefItem> retargeting;

    @SerializedName("TrafficJam")
    private List<ExpressionCoefItem> traffic;

    @SerializedName("Geo")
    private List<ExpressionCoefItem> geo;

    public List<WeatherCoef> getWeather() {
        return weather;
    }

    public List<ExpressionCoefItem> getSocdem() { return socdem; }

    public List<ExpressionCoefItem> getRetargeting() { return retargeting; }

    public List<ExpressionCoefItem> getTraffic() {
        return traffic;
    }

    public List<ExpressionCoefItem> getGeo() {
        return geo;
    }

    public void setWeather(List<WeatherCoef> weather) {
        this.weather = weather;
    }

    public void setSocdem(List<ExpressionCoefItem> socdem) {
        this.socdem = socdem;
    }

    public void setRetargeting(List<ExpressionCoefItem> retargeting) {
        this.socdem = retargeting;
    }

    public void setTraffic(List<ExpressionCoefItem> traffic) {
        this.traffic = traffic;
    }

    public void setGeo(List<ExpressionCoefItem> geo) {
        this.geo = geo;
    }

    public ExpressionCoefs withWeather(List<WeatherCoef> weather) {
        this.weather = weather;
        return this;
    }

    public ExpressionCoefs withSocdem(List<ExpressionCoefItem> socdem) {
        this.socdem = socdem;
        return this;
    }

    public ExpressionCoefs withRetargeting(List<ExpressionCoefItem> retargeting) {
        this.retargeting = retargeting;
        return this;
    }

    public ExpressionCoefs withTraffic(List<ExpressionCoefItem> traffic) {
        this.traffic = traffic;
        return this;
    }

    public ExpressionCoefs withGeo(List<ExpressionCoefItem> geo) {
        this.geo = geo;
        return this;
    }
}
